Инструкции для пользователей Linux

Электронное голосование в операционной системе Linux

В первую очередь, должны быть выполнены основные требования в отношении избирателя и его компьютера.
Основные этапы голосования аналогичны в разных операционных системах.

Приложение электронного голосования или приложение избирателя работает со следующими дистрибутивами операционной системы Linux:

  • Ubuntu 12.04, 13.10, 14.04;

Также существует большая вероятность, что приложение будет работать с другими дистрибутивами, в которых есть действующее программное обеспечение для поддержки ID-карты. Дополнительную информацию об установке программного обеспечения для ID-карты можно найти на следующем сайте: http://installer.id.ee/.

Существует 64-битная и 32-битная версия приложения избирателя.

Установка приложения избирателя

Приложение пробного голосования загружается в виде запускаемого файла, объем которого составляет 1 MB. Идите на главную страницу электронного голосования, нажмите на кнопку "Laadi alla valijarakendus" (скачайте приложение) и сохраните приложение избирателя rk2015-64 или rk2015-32 на своем компьютере.

При использовании браузера Mozilla Firefox необходимо сделать следующее:

  • Скачайте приложение избирателя и сохраните его на своем компьютере.
  • Правой кнопкой мыши щелкните по скачанному файлу rk2015_32lx или rk2015_64lx, после чего выберите "Open Containing Folder” (открыть папку).
  • Откроется каталог (Downloads / Скачанные файлы). Правой кнопкой мыши щелкните по скачанному файлу rk2015_32lx или rk2015_64lx после чего выберите "Properties" (свойства).
  • Перейдите в закладку “Permissions” (разрешения) и убедитесь, что в графе “Is executable” стоит галочка. Если галочка отсутствует, проставьте ее самостоятельно.
  • Запустите приложение избирателя rk2015_32lx или rk2015_64lx, дважды щелкнув по файлу левой кнопкой мыши.

Если вы используете браузер Google Chrome, скачайте приложение избирателя rk2015_32lx или rk2015_64lx и сохраните его на своем компьютере. По окончании загрузки нажмите на находящуюся рядом с файлом стрелку и выберите „Show in Folder“ (показать в папке). Следуйте инструкциям для пользователей Mozilla Firefox.

Дальнейшие инструкции найдете здесь.

Если вы открываете файл, предназначенный для 32-bit системы, в 64-bit системе, приложение откроется, но при вводе PIN-кодов программа может выдать ошибку "драйвера для ID-карты не найдены". В этом случае начните заново и скачайте правильный файл.

Для работы программе потребуется библиотека OpenSC PKCS11 с названием файла opensc-pkcs11.so. По умолчанию предполагается, что библиотека находится в каталоге /usr/lib. Если Вы разместили библиотеку в каком-либо другом каталоге (например, /usr/local/lib/pkcs11), измените переменную среды EVOTE_PKCS11_LIB, чтобы она указывала на правильный каталог. В зависимости от используемой оболочки у Вас существует несколько разных вариантов. Например:
export EVOTE_PKCS11_LIB=/usr/local/lib/pkcs11/opensc-pkcs11.so
или
setenv EVOTE_PKCS11_LIB /usr/local/lib/pkcs11/opensc-pkcs11.so.

Помимо приложения избирателя использовать библиотеку PKCS11 могут и другие приложения для управления ID-картой, например, Mozilla. Если ID-карта уже используется каким-либо приложением, то в зависимости от установочных параметров библиотеки OpenSC доступ к ID-карте в ней может быть запрещен.

Для определения запрета на доступ откройте файл opensc.conf (как правило, он находится в каталоге /etc/opensc или /usr/local/etc/opensc) и проверьте значение параметра lock_login. В случае, если значение параметра lock_login - true, перед использованием программы голосования необходимо убедиться, что все другие приложения, использующие ID-карту, закрыты.

Например, в случае программы Mozilla сначала щелкните Edit, Preferences, Privacy&Security, Certificates, Manage Security Devices. Затем убедитесь, что состояние всех устройств, связанных с эстонской ID-картой, отмечено как "Not Logged In". При необходимости работу устройства, использующего ID-карту, можно завершить на той же странице.

Использование proxy

Если ваше интернет-соединение осуществляется через proxy, для использования приложения избирателя необходимо установить переменную среду https_proxy:
export https_proxy=http://proxy.server:8082/

После установки переменной среды, приложение избирателя откроет окно, в котором при необходимости вы сможете исправить параметры посредника запроса.

Если возникла ошибка

Читайте более подробную информацию, о том, что сделать для возобновления работы ID-карты и мобильного ID. Поддержку по осуществляемым при помощи ID-карты операциям можно получить по телефону 6316633 или по адресу abi@valimised.ee.

Если неполадка в Вашем компьютере или любая другая техническая неисправность не позволяет Вам осуществить электронное голосование, проголосовать можно обычным способом в избирательном участке.